Bug 1433602 - Extends TMPDIR_DEFAULT to mc-wrapper scripts - exit to CWD
Summary: Extends TMPDIR_DEFAULT to mc-wrapper scripts - exit to CWD
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: Fedora Extras Quality Assurance
URL: https://stackoverflow.com/questions/3...
Whiteboard:
Depends On: 1438149 1443730
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-18 16:51 UTC by poma
Modified: 2017-12-12 15:33 UTC (History)
7 users (show)

Fixed In Version: mc-4.8.19-2.fc26 mc-4.8.19-2.fc25 mc-4.8.19-2.fc24 mc-4.8.19-5.fc24 mc-4.8.19-5.fc25 mc-4.8.19-5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-27 02:52:03 UTC
Type: Bug


Attachments (Terms of Use)
Extends TMPDIR_DEFAULT to mc-wrapper scripts - exit to CWD (3.34 KB, patch)
2017-03-18 16:51 UTC, poma
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 895444 None None None Never
Red Hat Bugzilla 1438149 None CLOSED mc-wrapper.sh script does not work anymore 2018-08-21 17:23:15 UTC

Description poma 2017-03-18 16:51:23 UTC
Created attachment 1264407 [details]
Extends TMPDIR_DEFAULT to mc-wrapper scripts - exit to CWD

Extends TMPDIR_DEFAULT to mc-wrapper scripts,
resolves exit to mc's current working directory.

Comment 1 Andrea 2017-04-22 19:13:48 UTC
mc -P actually works with any folder as long as it exists.

so the old way was

mc -P /tmp/mc-username/XYZ

and because

#define TMPDIR_DEFAULT "/tmp"

mc would create the path /tmp/mc-username first and later would be able to save the last directory file in there.

Now

#define TMPDIR_DEFAULT "/var/tmp"

so nobody creates /tmp/mc-username which is still used by mc-wrapper.

This explains why this patch works, and I would vote for it.

Can we have it in Fedora 25 as well please.

Comment 2 Fedora Update System 2017-05-05 13:07:15 UTC
mc-4.8.19-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b205eabf4

Comment 3 Fedora Update System 2017-05-05 13:07:49 UTC
mc-4.8.19-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf0dcd75c6

Comment 4 Fedora Update System 2017-05-05 13:08:34 UTC
mc-4.8.19-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70c2e0ec52

Comment 5 Fedora Update System 2017-05-05 20:59:24 UTC
mc-4.8.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70c2e0ec52

Comment 6 Fedora Update System 2017-05-05 21:02:15 UTC
mc-4.8.19-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0b205eabf4

Comment 7 Fedora Update System 2017-05-05 22:39:12 UTC
mc-4.8.19-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf0dcd75c6

Comment 8 Fedora Update System 2017-05-09 21:25:05 UTC
mc-4.8.19-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-05-12 12:04:56 UTC
mc-4.8.19-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 vvs 2017-05-13 08:34:16 UTC
This patch wasn't applied in mc-4.8.19-2.fc25. The problem still persist.

Comment 11 Andrea 2017-05-13 18:14:17 UTC
mc-4.8.19-2.fc25 

Still broken.
Patch not applied.

Comment 12 Fedora Update System 2017-05-15 14:54:40 UTC
mc-4.8.19-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-833577850a

Comment 13 Fedora Update System 2017-05-15 14:54:48 UTC
mc-4.8.19-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-496bfbc504

Comment 14 Fedora Update System 2017-05-15 14:54:56 UTC
mc-4.8.19-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3dd8698fb6

Comment 15 Fedora Update System 2017-05-16 06:09:18 UTC
mc-4.8.19-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3dd8698fb6

Comment 16 Knud Christiansen 2017-05-16 19:11:12 UTC
4.8.19-4 has also the failure.....exit not to current folder
Change mc-wrapper to /var/tmp from /tmp makes it work

Comment 17 vvs 2017-05-16 22:38:19 UTC
No wonder, mc-tmpdir-cwd.patch is a "metapatch". It doesn't actually patch mc-wrapper.[c]sh.in files, but creates Extends-TMPDIR_DEFAULT-to-mc-wrapper-scripts.patch file instead. So, this patch didn't get applied again.

Comment 18 Fedora Update System 2017-05-17 01:06:31 UTC
mc-4.8.19-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-833577850a

Comment 19 Fedora Update System 2017-05-17 01:07:10 UTC
mc-4.8.19-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-496bfbc504

Comment 20 Fedora Update System 2017-05-17 05:56:26 UTC
mc-4.8.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-05-17 13:13:32 UTC
mc-4.8.19-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0cad0a0c9

Comment 22 Fedora Update System 2017-05-17 13:13:39 UTC
mc-4.8.19-5.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b5ff551e7

Comment 23 Fedora Update System 2017-05-17 13:13:48 UTC
mc-4.8.19-5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6241a0da9c

Comment 24 Fedora Update System 2017-05-18 19:03:38 UTC
mc-4.8.19-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b0cad0a0c9

Comment 25 Fedora Update System 2017-05-18 23:30:29 UTC
mc-4.8.19-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6241a0da9c

Comment 26 Fedora Update System 2017-05-18 23:34:59 UTC
mc-4.8.19-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b5ff551e7

Comment 27 Fedora Update System 2017-05-27 02:52:03 UTC
mc-4.8.19-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2017-05-27 03:00:56 UTC
mc-4.8.19-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2017-06-09 19:00:26 UTC
mc-4.8.19-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.